Convo
API ReferenceWebhooks

Register webhook

Register a new webhook endpoint. HTTPS URLs only. The `secret` for HMAC verification is returned once on creation.

POST
/api/v1/webhooks

Authorization

AuthorizationRequiredBearer <token>

API key as Bearer token. Generate keys in your Convo dashboard settings.

In: header

Request Body

application/jsonRequired
urlRequiredstring

HTTPS endpoint URL

Format: "uri"
eventsRequiredarray<string>
curl -X POST "https://www.itsconvo.com/api/v1/webhooks" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://hooks.example.com/convo",
    "events": [
      "conversation.created"
    ]
  }'

Webhook created

{
  "data": {
    "id": "wh_def456",
    "url": "https://hooks.example.com/convo",
    "events": [
      "conversation.keypoints.ready"
    ],
    "secret": "whsec_a1b2c3d4e5f6...",
    "createdAt": "2026-03-18T16:00:00.000Z"
  }
}